Subject: Air Filters

From: [email-masked] (David Reynolds)
Date: Wed, 02 Aug 1995 16:03:20 GMT

What are peoples thoughts on "normal" or untreated pleated air filters
versus these "new" treated filters which supposedly reduce the micro 
growth.  IMHO it would appear that as soon as a layer of dust formed
on the filter any chemical treating would be null and void.  Any
thoughts would be greatly appreciated as I tring to decide whether to
switch to this 'new' technology for all of our HVAC systems.
I you would rather preserve space in the group for more interesting
topics you may email your response to me.